use sparse::Sparse;

fn main()
{
    let mut sp = Sparse::<usize>::new();
    
    let keys :&[usize] = &[
        0x000D,
        0x000E,
        0x000F,
        0x0010,
        0x0011,
        0x0012,
        0x00F0,
        0x0100,
        0x0180,
        0x0200,
        0x1000,
        0x1100,
        0x1200,
        0x1300,
        0x1310,
        0xF000,
        0xF001,
        0xF002,
        0xF010,
        0x100F,
    ];

    for i in 0..keys.len() {
        sp.set(keys[i] as isize, i);
    }

    sp.print();

    for i in 0..keys.len() {
        println!("v {:x} = {} {}", keys[i], i, sp.get(keys[i] as isize).cloned().unwrap_or_default());
    }
}
